# To enable real-time sheduling (SCHED_FIFO), rebuild this package adding
# '--with realtime'.  This will require a kernel with the capabilities patch
# and may be a security risk to your system.  Non-root users will be able
# to run jack with real-time priorities by executing 'jackstart'.
%define enable_capabilities 0
%{?_with_realtime: %{expand: %%define enable_capabilities 1}}

%define		lib_name_orig libjack
%define		lib_major 0
%define		lib_name %{lib_name_orig}%{lib_major} 

Summary:	The Jack Audio Connection Kit
Name:		jackit
Version:	0.50.0
Release:	3mdk
License:	GPL
Group:		System/Servers
Source0:	jack-audio-connection-kit-%{version}.tar.bz2
URL:		http://jackit.sourceforge.net
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Buildrequires:	libalsa-devel
Buildrequires:	libsndfile-devel
BuildRequires:  libglib-devel
BuildRequires:	libfltk-devel
Buildrequires:  doxygen
Buildrequires:	pkgconfig
%if %enable_capabilities
BuildRequires:	libcap-devel
%endif

%description
JACK is a low-latency audio server, written primarily for the Linux
operating system. It can connect a number of different applications to
an audio device, as well as allowing them to share audio between
themselves. Its clients can run in their own processes (ie. as a
normal application), or can they can run within a JACK server (ie. a
"plugin").

JACK is different from other audio server efforts in that it has been
designed from the ground up to be suitable for professional audio
work. This means that it focuses on two key areas: synchronous
execution of all clients, and low latency operation.

%package -n %{lib_name}
Summary:	Library associated with jack kit , needed for jackd
Group:		System/Libraries
Requires:	%{name} = %{version}

%description -n  %{lib_name}
This library is mandatory for the Jack Audio Connection Kit

%package -n %{lib_name}-devel
Summary:	Header files for Jack 
Group:		Development/C
Requires: %{lib_name} = %{version}-%{release}
Provides: %{lib_name_orig}-devel = %{version}-%{release} %{name}-devel = %{version}-%{release} 

%description -n  %{lib_name}-devel
Header files for the Jack Audio Connection Kit.

%package example-clients
Summary:	Example clients that use Jack 
Group:		Sound
Requires:	%{name} = %{version}

%description example-clients
Small example clients that use the Jack Audio Connection Kit.

%prep
%setup -q -n jack-audio-connection-kit-%{version}  

%build
%if %enable_capabilities
%configure --with-html-dir=%{_docdir} --enable-capabilities --enable-stripped-jackd
%else
%configure --with-html-dir=%{_docdir} --enable-stripped-jackd
%endif
%make

%install
%makeinstall_std
rm -fr $RPM_BUILD_ROOT/%{_docdir}

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc AUTHORS TODO COPYING* doc/reference
%if %enable_capabilities
%attr(4755,root,root) %{_bindir}/jackstart
%endif
%{_bindir}/jackd

%files -n %{lib_name}
%defattr(-,root,root)
%doc COPYING*
%{_libdir}/libjack.so.*
%{_libdir}/jack/jack_alsa.so

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc COPYING*
%{_includedir}/jack
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/jack/jack_alsa.a
%{_libdir}/jack/jack_alsa.la
%{_libdir}/pkgconfig/jack.pc

%files example-clients
%defattr(-,root,root)
%doc COPYING*
%{_bindir}/jack_fltk_client
%{_bindir}/jackrec
%{_bindir}/jack_connect
%{_bindir}/jack_disconnect
%{_bindir}/jack_impulse_grabber
%{_bindir}/jack_lsp
%{_bindir}/jack_metro
%{_bindir}/jack_showtime
%{_bindir}/jack_monitor_client
%{_bindir}/jack_simple_client

%changelog
* Fri Feb 14 2003 Laurent culioli <laurent@pschit.net> 0.50.0-3mdk
- BuildRequires 

* Mon Feb 10 2003 Austin Acton <aacton@yorku.ca> 0.50.0-2mdk
- fix realtime capabilities option

* Sun Feb  9 2003 Laurent Culioli <laurent@mandrakesoft.com> 0.50.0-1mdk
- 0.50.0

* Fri Jan 31 2003 Laurent Culioli <laurent@mandrakesoft.com> 0.44.0-0.20030130.2mdk
- put jack_alsa.so in lib package instead devel ( jackd need .so to load plugin )

* Fri Jan 31 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.44.0-0.20030130.1mdk
- from Austin Acton <aacton@yorku.ca> :
	- bump to cvs
	- buildrequires pkgconfig
	- remove patch

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.34.0-4mdk
- really fix example-clients sub package group

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.34.0-3mdk
- fix example-clients sub package group

* Sun Sep 15 2002 Nicolas Planel <nplanel@mandrakesoft.com> 0.34.0-2mdk
- fix build with libsndfile-1.0.0 

* Fri Aug 16 2002 Laurent Culioli <laurent@pschit.net> 0.34.0-1mdk
- initial mdk package 

